package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserAddress;


/**
 * service接口类
 */
public interface UserAddressService {

    List<UserAddress> getUserAddressList(UserAddress record);

    List<UserAddress> getUserAddressByPage(Page page, UserAddress record);

    UserAddress getUserAddressById(String id);

    UserAddress getUserAddress(UserAddress record);

    boolean createUserAddress(UserAddress record);

    boolean deleteUserAddress(String id);

    boolean updateUserAddress(UserAddress record);

    boolean setDefaultUserAddress(String userId, String addressId);
}

